// #autoload
// #name = LocalTaunt
// #version = 1.1
// #date = 2/20/02
// #author = DEbig3
// #warrior =  DEbig3
// #email = debig3@attbi.com
// #web = http://debig3.tribes-universe.com
// #description = does a local taunt when you kill someone
// #status = release
// #readme =

function localTauntJoinedServer(%msgType, %msgString, %clientName, %clientId, %targetId, %isAI, %isAdmin, %isSuperAdmin, %isSmurf, %guid) {
	if (strstr(%msgString, "Welcome to Tribes2") != -1) {
		$localTauntName = detag(%clientName);
	}
}

function localTauntGo(%msgType, %msgString, %victimname, %vgen, %vposs, %killername, %kgen, %kposs, %damageType) {
	%killer = detag(%killername);
	if ((%killer $= $localTauntName) && ($localTauntToggle)) {
		%spamnumber = getRandom(1,5);
		commandToServer('CannedChat', $localTaunt[%spamnumber], false);
	}
}

function localTauntToggle(%val) {
	if (%val) {
		$localTauntToggle = !$localTauntToggle;
	}
}


package localtaunt {
function DispatchLaunchMode() {
	parent::DispatchLaunchMode();
	addMessageCallBack('msgVehicleKill', localTauntGo);
	addMessageCallBack('msgCTurretKill', localTauntGo);
	addMessageCallBack('msgTurretKill', localTauntGo);
	addMessageCallBack('msgSelfKill', localTauntGo);
	addMessageCallBack('MsgLegitKill', localTauntGo);
	addMessageCallBack('MsgHeadshotKill', localTauntGo);
	addMessageCallBack('msgExplosionKill', localTauntGo);
	addMessageCallBack('msgTeamKill', localTauntGo);
	addMessageCallback('MsgClientJoin', localTauntJoinedServer);
}

function OptionsDlg::onWake( %this ) {
	if(!$TauntBind) {
		$RemapName[$RemapCount]="LocalTaunt Toggle";
		$RemapCmd[$RemapCount]="localTauntToggle";
		$RemapCount++;
		$TauntBind = true;
	}
	parent::onWake(%this);
}
};

activatePackage(localtaunt);
$localTauntToggle = true;
$TauntBind = false;
$LocalTauntCount = "1";
$localTaunt[1] = 'ChatAnimGetSome';
$localTaunt[2] = 'ChatAnimDance';
$localTaunt[3] = 'ChatAnimSpec1';
$localTaunt[4] = 'ChatAnimSpec2';
$localTaunt[5] = 'ChatAnimSpec3';